'use strict';
/* eslint-disable no-await-in-loop */
import { existsSync } from 'node:fs';
import { readFile } from 'node:fs/promises';
import { resolve } from 'node:path';
export async function getPackageDirectories(git) {
    const repoRoot = (await git.revparse('--show-toplevel')).trim();
    const dxConfigFilePath = resolve(repoRoot, 'sfdx-project.json');
    if (!existsSync(dxConfigFilePath)) {
        throw Error(`Cannot find sfdx-project.json in the root folder: ${repoRoot}`);
    }
    const sfdxProjectRaw = await readFile(dxConfigFilePath, 'utf-8');
    const sfdxProject = JSON.parse(sfdxProjectRaw);
    const packageDirectories = sfdxProject.packageDirectories.map((directory) => resolve(repoRoot, directory.path));
    return { repoRoot, packageDirectories };
}
//# sourceMappingURL=getPackageDirectories.js.map